Create a new webhook
curl --request POST \
--url https://api.example.com/organizations/{organizationId}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhooks",
"events": [
"organization.created",
"organization.updated"
]
}
'import requests
url = "https://api.example.com/organizations/{organizationId}/webhooks"
payload = {
"url": "https://example.com/webhooks",
"events": ["organization.created", "organization.updated"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhooks',
events: ['organization.created', 'organization.updated']
})
};
fetch('https://api.example.com/organizations/{organizationId}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
webhooks
Create a new webhook
Creates a webhook endpoint for receiving events. Only OWNERS and ADMINS can create webhooks.
POST
/
organizations
/
{organizationId}
/
webhooks
Create a new webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Webhook endpoint URL
Example:
"https://example.com/webhooks"
Events to subscribe to
Available options:
organization.created, organization.updated, organization.deleted, member.added, member.removed, member.role_updated, invite.created, invite.accepted, invite.cancelled, oauth_app.created, oauth_app.revoked, webhook.created Example:
[
"organization.created",
"organization.updated"
]
Response
Webhook created successfully. Returns webhook configuration with signing secret.